#
# --with oracle 
#	Build perl-DBIx-SearchBuilder-Oracle subpackage. 
#	Disabled by default, because it depends on packages outside of FE 
#	at run-time
#

Name: 		perl-DBIx-SearchBuilder
Version: 	1.43
Release: 	1%{?dist}
Summary: 	Encapsulate SQL queries and rows in simple perl objects
License: 	GPL or Artistic
Group: 		Development/Libraries
URL: 		http://search.cpan.org/dist/DBIx-SearchBuilder/
Source0: 	http://search.cpan.org/CPAN/authors/id/J/JE/JESSE/DBIx-SearchBuilder-%{version}.tar.gz
# A private copy of Test::Simple to work around PR #166475. 
Patch0:         DBIx-SearchBuilder-1.38-fc4-hacks.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:  	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch: 	noarch
BuildRequires:	perl(Want)
BuildRequires:	perl(Cache::Simple::TimedExpiry) >= 0.21
BuildRequires:	perl(Class::ReturnValue) >= 0.4
BuildRequires:	perl(DBD::SQLite)
BuildRequires:	perl(DBI)
BuildRequires:	perl(ExtUtils::AutoInstall) >= 0.49
# PR #166475
BuildConflicts: perl(Test::More) >= 0.52
BuildRequires:	perl(Class::Accessor)

# Improved tests:
BuildRequires:	perl(Test::Pod)

# Optional features
BuildRequires:	perl(DBIx::DBSchema)
BuildRequires:	perl(capitalization) >= 0.03
BuildRequires:	perl(Clone)

%description
This module provides an object-oriented mechanism for retrieving and
updating data in a DBI-accessible database.

%prep
%setup -q -n DBIx-SearchBuilder-%{version}
chmod -x Changes
find -name '*.pm' -exec chmod -x {} \;

%patch0 -p1

%build
# --skipdeps causes ExtUtils::AutoInstall not to try auto-installing 
# missing optional features
%{__perl} Makefile.PL INSTALLDIRS=vendor --skipdeps

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%clean
rm -rf $RPM_BUILD_ROOT

%check
make test

%files
%defattr(-,root,root,-)
# 
%doc Changes
%doc README ROADMAP
%{perl_vendorlib}/DBIx
%{_mandir}/man3/*
%exclude %{perl_vendorlib}/DBIx/SearchBuilder/Handle/Oracle*
%exclude %{_mandir}/man3/DBIx::SearchBuilder::Handle::Oracle*


%if "%{?_with_oracle}"
%package Oracle
Summary:	DBIx::SearchBuilder bindings for Oracle
Group: 		Development/Libraries
Requires:	%name = %{version}-%{release}

%description Oracle
DBIx::SearchBuilder bindings for Oracle

%files Oracle
%{perl_vendorlib}/DBIx/SearchBuilder/Handle/Oracle*
%{_mandir}/man3/DBIx::SearchBuilder::Handle::Oracle*
%endif

%changelog
* Sat Apr 22 2006 Ralf Corsépius <rc040203@freenet.de> - 1.43-1
- Upstream update.

* Sun Jan 15 2006 Ralf Corsépius <rc040203@freenet.de> - 1.38-1
- Update to 1.38.
- Add a private copy of Test-Simple-0.62 to work around PR #166475.

* Tue Oct 11 2005 Ralf Corsepius <rc040203@freenet.de> - 1.27-3
- Spec file cleanup.

* Mon Oct 10 2005 Ralf Corsepius <rc040203@freenet.de> - 1.27-2
- chmod -x *.pm.
- BR: perl(Test::Pod).
- Add --with oracle to allow users to conditionally build the 
  perl-DBIx-SearchBuilder-Oracle subpackage.

* Wed Sep 14 2005 Ralf Corsepius <rc040203@freenet.de> - 1.27-1
- Preps for 1.32.
- Split out Oracle.
- FE submission.
